%define name libmt_client
%define version 0.1.98
%define release 2mdk
%define major 0

Summary: The Maitretarot client library
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Cards
Source: http://www.nongnu.org/download/maitretarot/devel.pkg/%{version}/%{name}-%{version}.tar.bz2
URL: http://www.nongnu.org/maitretarot/
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: glib2-devel
BuildRequires: libmaitretarot-devel

%description
Maitretarot is a tarot server game. Libmt_client is a library
for the client.

%description -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmt_client
est une biblothque pour les logiciels client.

%package -n %name%major
Summary: The Maitretarot client library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %name%major
Maitretarot is a tarot server game. Libmt_client is a library
for any client.

%description -n %name%major -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmt_client
est une biblothque pour les logiciels client.

%package -n %name%major-devel
Summary: Development files from Libmaitretarot
Group: System/Libraries
Requires: %name%major = %version-%release
Provides: %name-devel = %version-%release

%description -n %name%major-devel
This package is need to build application wich use Libmt_client.

%description -n %name%major-devel -l fr
Ce package est utilis pour compiler les applications qui utilise 
Libmt_client.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %name%major -p /sbin/ldconfig

%postun -n %name%major -p /sbin/ldconfig

%files -n %name%major
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/*.so.*

%files -n %name%major-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/mt_client.h

%changelog
* Sun Apr 04 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.98-2mdk
- Birthday rebuild

* Sat Feb 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.98-1mdk
- First version
- arizona_junior, Tell me when a new lib appears ! 
